org.appng.core.repository

## Interface ResourceRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<ResourceImpl,Integer>, org.springframework.data.jpa.repository.JpaRepository<ResourceImpl,Integer>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<ResourceImpl>, org.springframework.data.repository.PagingAndSortingRepository<ResourceImpl,Integer>, org.springframework.data.repository.query.QueryByExampleExecutor<ResourceImpl>, org.springframework.data.repository.Repository<ResourceImpl,Integer>, SearchRepository<ResourceImpl,Integer>

      public interface ResourceRepository
      extends SearchRepository<ResourceImpl,Integer>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceImpl` | `findByNameAndApplicationId(String name, Integer applicationId)`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findByNameAndApplicationId

          @Query(value="select r from ResourceImpl r where r.name = ?1 and r.application.id = ?2")
          ResourceImpl findByNameAndApplicationId(String name,
                                                                                                                                           Integer applicationId)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.